Bug 121469 - [PATCH]: devel/geany: update to 0.13
Summary: [PATCH]: devel/geany: update to 0.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcelo Araujo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-07 15:20 UTC by Andris Raugulis
Modified: 2008-03-18 00:40 UTC (History)
0 users

See Also:


Attachments
freebsd.ports.devel.geany-0.11.to.devel.geany-0.13.patch (7.03 KB, patch)
2008-03-07 15:20 UTC, Andris Raugulis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andris Raugulis 2008-03-07 15:20:03 UTC
- Update to 0.13, some highlights:
  o Project session file support 
  o File Browser sidebar plugin, VCdiff plugin and Autosave plugin
  o Plugin Manager dialog to enable/disable plugins 
  o Configurable keybindings for Cut, Copy and Paste 
  o native GTK printing support on Unix-like systems
  o New translations: Japanese, Ukrainian and Greek, many updated
    translations
- Use GNU make
- Use GNU regex (gnu/regex.h, -lgnuregex)
- Taking maintainership (last time when I submitted PR to devel/geany,
  it got commited only after maintainer timeout - 2 months)
Comment 1 Edwin Groothuis freebsd_committer 2008-03-07 15:20:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Marcelo Araujo freebsd_committer 2008-03-14 02:47:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 3 dfilter service freebsd_committer 2008-03-18 00:35:33 UTC
araujo      2008-03-18 00:35:22 UTC

  FreeBSD ports repository

  Modified files:
    devel/geany          Makefile distinfo pkg-plist 
  Log:
  - Update to 0.13.
  - Pass maintainership to submitter.
  
  PR:             ports/121469
  Submitted by:   Andris Raugulis <ar@null.lv>
  Approved by:    maintainer timeout (more than 2 months).
  
  Revision  Changes    Path
  1.8       +17 -7     ports/devel/geany/Makefile
  1.6       +3 -3      ports/devel/geany/distinfo
  1.7       +33 -35    ports/devel/geany/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Marcelo Araujo freebsd_committer 2008-03-18 00:36:00 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!